View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000746Ecere SDKide:buildsystempublic2012-04-14 00:402013-08-07 03:33
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000746: When a file is in multiple projects within workspace, only first exclusion is currently checked when compiling
DescriptionI have a workspace with a file in multiple of the projects within it.
The file is excluded for the current config in the first project, but in the other project it is not excluded (for any config, in this case).

In ide/src/project/ProjectView.ec, method Compile() gets passed in a node.
The project (prj) is obtained from the node, which was found to be the node in the first project...

A solution could be for Compile() to return a bool which would return false on exclusion, and subsequent matches for the currently opened code editor could be attempted.


Relevant code is in src/ide.ec's OnActivateClient method which defines the NotifySelect for Compile.

Now that I've identified what to do I might as well just do it. :)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000590)
jerome (administrator)
2012-04-16 16:45
edited on: 2012-04-16 16:46

Fixed by https://github.com/ecere/sdk/commit/36e91de1957e67ed549f451ecbf3a5c34a0f86db [^]


- Issue History
Date Modified Username Field Change
2012-04-14 00:40 redj New Issue
2012-04-14 00:40 redj Status new => assigned
2012-04-14 00:40 redj Assigned To => redj
2012-04-15 17:54 jerome Summary getting excluded message for a file that is NOT excluded => When a file is in multiple projects within workspace, only first exclusion is currently checked when compiling
2012-04-15 17:54 jerome Description Updated
2012-04-15 17:54 jerome Description Updated
2012-04-15 18:03 jerome Assigned To redj => jerome
2012-04-16 16:45 jerome Status assigned => resolved
2012-04-16 16:45 jerome Fixed in Version => 0.44.1 Android
2012-04-16 16:45 jerome Resolution open => fixed
2012-04-16 16:45 jerome Note Added: 0000590
2012-04-16 16:46 jerome Note Edited: 0000590
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker